package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.gson.Gson;
import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.entities.StatusSkoring;
import com.jasamedika.medifirst2000.vo.StatusSkoringVO;

@Component
public class StatusSkoringConverter implements BaseVoConverter<StatusSkoringVO, StatusSkoring> {


	@Override
	public StatusSkoring transferVOToModel(StatusSkoringVO vo, StatusSkoring model) {
		if (null == model)
			model = new StatusSkoring();

		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = vo.serialize(fieldsToInclude,vo.getClass().getName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        model = gson.fromJson(json, StatusSkoring.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return model;
	}

	@Override
	public List<StatusSkoringVO> transferListOfModelToListOfVO(List<StatusSkoring> models, List<StatusSkoringVO> vos) {

		if (null == vos)
			vos = new ArrayList<StatusSkoringVO>();

		if (null == models)
			return vos;

		for (StatusSkoring StatusSkoring : models) {
			StatusSkoringVO vo = new StatusSkoringVO();
			vo=transferModelToVO(StatusSkoring, vo);
			vos.add(vo);
		}

		return vos;
	}

	@Override
	public StatusSkoringVO transferModelToVO(StatusSkoring model, StatusSkoringVO vo) {
		if (null == vo)
			vo = new StatusSkoringVO();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = model.serialize(fieldsToInclude,model.getClass().getSimpleName());
	        Gson gson = new Gson();

	        String json = gson.toJson(serialized);
	        vo = gson.fromJson(json, StatusSkoringVO.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return vo;
	}
	
	
	
	

}
